using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Request.ArticleGroup;
using GxPress.Result.Media;
using GxPress.Result.SystemLabel;

namespace GxPress.Service.Interface.AppHomePage
{
    public interface IAppHomePageService : IService
    {
        /// <summary>
        /// 大咖讲座
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<List<AppLabelResult<MediaCathedraResult>>> GetMediasByTeacherAsync(ArticleGroupRequest request);
         /// <summary>
        /// 大咖讲座分页
        /// </summary>
        /// <returns></returns>
         Task<IEnumerable<MediaCathedraResult>> MediaCathedraResult(ArticleGroupRequest request);
    }
}